=== debian/changelog ===
linux-restricted-modules-azure-nvidia (6.8.0-1018.19) noble; urgency=medium

  * Main version: 6.8.0-1018.19

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Vinicius Peixoto <vinicius.peixoto@canonical.com>  Sat, 31 May 2025 20:37:40 -0300

linux-restricted-modules-azure-nvidia (6.8.0-1017.18) noble; urgency=medium

  * Main version: 6.8.0-1017.18

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/2025.05.19)

 -- Vinicius Peixoto <vinicius.peixoto@canonical.com>  Fri, 30 May 2025 23:46:15 -0300
