=== debian/control ===
Source: linux-restricted-modules-azure-nvidia
Section: utils
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9),
Build-Depends-Arch:
 cpio,
 curl,
 dkms,
 gawk,
 linux-headers-6.8.0-1018-azure-nvidia (>= 6.8.0-1018.19) [arm64],
 lsb-release,
 python3,
 python3-apt,
XSC-Ubuntu-Nvidia-Dependencies:
 nvidia-graphics-drivers-470 (= 470.256.02-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-470-server (= 470.256.02-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-535 (= 535.230.02-0ubuntu0.24.04.2),
 nvidia-graphics-drivers-535-server (= 535.247.01-0ubuntu0.24.04.3),
 nvidia-graphics-drivers-550 (= 550.144.03-0ubuntu0.24.04.3),
 nvidia-graphics-drivers-550-server (= 550.163.01-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-570 (= 570.133.07-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-570-server (= 570.133.20-0ubuntu0.24.04.1),
Standards-Version: 3.9.4
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-restricted-modules-azure/+git/noble -b azure-nvidia

Package: linux-modules-nvidia-535-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-535-6.8.0-1018-azure-nvidia (= ${binary:Version}),
 ${nvk:nvidia-535},
Description: Extra drivers for nvidia-535 for the azure-nvidia flavour
 Install extra signed nvidia-535 modules compatible with the azure-nvidia flavour.

Package: linux-modules-nvidia-535-open-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-535-open-6.8.0-1018-azure-nvidia (= ${binary:Version}),
 ${nvk:nvidia-535-open},
Description: Extra drivers for nvidia-535-open for the azure-nvidia flavour
 Install extra signed nvidia-535-open modules compatible with the azure-nvidia flavour.

Package: linux-modules-nvidia-550-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-550-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-550-6.8.0-1018-azure-nvidia (= ${binary:Version}),
 ${nvk:nvidia-550},
Description: Extra drivers for nvidia-550 for the azure-nvidia flavour
 Install extra signed nvidia-550 modules compatible with the azure-nvidia flavour.

Package: linux-modules-nvidia-550-open-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-550-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-550-open-6.8.0-1018-azure-nvidia (= ${binary:Version}),
 ${nvk:nvidia-550-open},
Description: Extra drivers for nvidia-550-open for the azure-nvidia flavour
 Install extra signed nvidia-550-open modules compatible with the azure-nvidia flavour.

Package: linux-modules-nvidia-570-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-570-6.8.0-1018-azure-nvidia (= ${binary:Version}),
 ${nvk:nvidia-570},
Description: Extra drivers for nvidia-570 for the azure-nvidia flavour
 Install extra signed nvidia-570 modules compatible with the azure-nvidia flavour.

Package: linux-modules-nvidia-570-open-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-570-open-6.8.0-1018-azure-nvidia (= ${binary:Version}),
 ${nvk:nvidia-570-open},
Description: Extra drivers for nvidia-570-open for the azure-nvidia flavour
 Install extra signed nvidia-570-open modules compatible with the azure-nvidia flavour.

Package: linux-modules-nvidia-535-server-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-535-server-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-535-server-6.8.0-1018-azure-nvidia (= ${binary:Version}),
 ${nvk:nvidia-535-server},
Description: Extra drivers for nvidia-535-server for the azure-nvidia flavour
 Install extra signed nvidia-535-server modules compatible with the azure-nvidia flavour.

Package: linux-modules-nvidia-535-server-open-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-535-server-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-535-server-open-6.8.0-1018-azure-nvidia (= ${binary:Version}),
 ${nvk:nvidia-535-server-open},
Description: Extra drivers for nvidia-535-server-open for the azure-nvidia flavour
 Install extra signed nvidia-535-server-open modules compatible with the azure-nvidia flavour.

Package: linux-modules-nvidia-550-server-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-550-server-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-550-server-6.8.0-1018-azure-nvidia (= ${binary:Version}),
 ${nvk:nvidia-550-server},
Description: Extra drivers for nvidia-550-server for the azure-nvidia flavour
 Install extra signed nvidia-550-server modules compatible with the azure-nvidia flavour.

Package: linux-modules-nvidia-550-server-open-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-550-server-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-550-server-open-6.8.0-1018-azure-nvidia (= ${binary:Version}),
 ${nvk:nvidia-550-server-open},
Description: Extra drivers for nvidia-550-server-open for the azure-nvidia flavour
 Install extra signed nvidia-550-server-open modules compatible with the azure-nvidia flavour.

Package: linux-modules-nvidia-570-server-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-570-server-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-570-server-6.8.0-1018-azure-nvidia (= ${binary:Version}),
 ${nvk:nvidia-570-server},
Description: Extra drivers for nvidia-570-server for the azure-nvidia flavour
 Install extra signed nvidia-570-server modules compatible with the azure-nvidia flavour.

Package: linux-modules-nvidia-570-server-open-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Provides: ${dkms:nvidia-570-server-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-570-server-open-6.8.0-1018-azure-nvidia (= ${binary:Version}),
 ${nvk:nvidia-570-server-open},
Description: Extra drivers for nvidia-570-server-open for the azure-nvidia flavour
 Install extra signed nvidia-570-server-open modules compatible with the azure-nvidia flavour.

Package: linux-modules-nvidia-525-azure-nvidia
Architecture: arm64 
Section: oldlibs
Depends: linux-modules-nvidia-535-azure-nvidia
Description: Extra drivers for nvidia-525 for the azure-nvidia flavour (dummy transitional package)
 Transitional package for upgrades of -525 to -535.

Package: linux-modules-nvidia-525-open-azure-nvidia
Architecture: arm64 
Section: oldlibs
Depends: linux-modules-nvidia-535-open-azure-nvidia
Description: Extra drivers for nvidia-525-open for the azure-nvidia flavour (dummy transitional package)
 Transitional package for upgrades of -525-open to -535-open.

Package: linux-modules-nvidia-545-azure-nvidia
Architecture: arm64 
Section: oldlibs
Depends: linux-modules-nvidia-550-azure-nvidia
Description: Extra drivers for nvidia-545 for the azure-nvidia flavour (dummy transitional package)
 Transitional package for upgrades of -545 to -550.

Package: linux-modules-nvidia-545-open-azure-nvidia
Architecture: arm64 
Section: oldlibs
Depends: linux-modules-nvidia-550-open-azure-nvidia
Description: Extra drivers for nvidia-545-open for the azure-nvidia flavour (dummy transitional package)
 Transitional package for upgrades of -545-open to -550-open.

Package: linux-modules-nvidia-525-server-azure-nvidia
Architecture: arm64 
Section: oldlibs
Depends: linux-modules-nvidia-535-server-azure-nvidia
Description: Extra drivers for nvidia-525-server for the azure-nvidia flavour (dummy transitional package)
 Transitional package for upgrades of -525-server to -535-server.

Package: linux-modules-nvidia-525-server-open-azure-nvidia
Architecture: arm64 
Section: oldlibs
Depends: linux-modules-nvidia-535-server-open-azure-nvidia
Description: Extra drivers for nvidia-525-server-open for the azure-nvidia flavour (dummy transitional package)
 Transitional package for upgrades of -525-server-open to -535-server-open.

Package: linux-modules-nvidia-565-server-azure-nvidia
Architecture: arm64 
Section: oldlibs
Depends: linux-modules-nvidia-570-server-azure-nvidia
Description: Extra drivers for nvidia-565-server for the azure-nvidia flavour (dummy transitional package)
 Transitional package for upgrades of -565-server to -570-server.

Package: linux-modules-nvidia-565-server-open-azure-nvidia
Architecture: arm64 
Section: oldlibs
Depends: linux-modules-nvidia-570-server-open-azure-nvidia
Description: Extra drivers for nvidia-565-server-open for the azure-nvidia flavour (dummy transitional package)
 Transitional package for upgrades of -565-server-open to -570-server-open.

Package: linux-objects-nvidia-535-6.8.0-1018-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 binutils,
Description: Linux kernel nvidia modules for version 6.8.0-1018 (objects)
 This package contains the Linux kernel nvidia modules for version 6.8.0-1018.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-535-azure-nvidia* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.

Package: linux-modules-nvidia-535-6.8.0-1018-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 linux-image-6.8.0-1018-azure-nvidia | linux-image-unsigned-6.8.0-1018-azure-nvidia,
 linux-signatures-nvidia-6.8.0-1018-azure-nvidia (= 6.8.0-1018.19),
 linux-objects-nvidia-535-6.8.0-1018-azure-nvidia (= ${binary:Version}),
 ${nvk:nvidia-535},
Description: Linux kernel nvidia modules for version 6.8.0-1018
 This package pulls together the Linux kernel nvidia modules for
 version 6.8.0-1018 with the appropriate signatures.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-535-azure-nvidia* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.

Package: linux-objects-nvidia-535-open-6.8.0-1018-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 binutils,
Description: Linux kernel nvidia modules for version 6.8.0-1018 (objects)
 This package contains the Linux kernel nvidia modules for version 6.8.0-1018.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-535-open-azure-nvidia* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.

Package: linux-objects-nvidia-550-6.8.0-1018-azure-nvidia
Build-Profiles: <!stage1>
Architecture: arm64 
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 binutils,
Description: Linux kernel nvidia modules for version 6.8.0-1018 (objects)
 This package contains the Linux kernel nvidia modules for version 6.8.0-1018.
 .
 You likely do not want to install this package directly. Instead, install the
