## linux-restricted-modules-azure-nvidia 6.8.0-1018.19+3

=== debian/ancillary/linux-restricted-generate/debian/changelog ===
linux-restricted-generate-azure-nvidia (6.8.0-1018.19+3) noble; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/2025.04.14)

 -- Andy Whitcroft <apw@canonical.com>  Thu, 10 Jul 2025 09:37:37 +0100

linux-restricted-generate-azure-nvidia (6.8.0-1018.19+2) noble; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/2025.04.14)

 -- Andy Whitcroft <apw@canonical.com>  Sat, 05 Jul 2025 02:56:09 +0100

linux-restricted-generate-azure-nvidia (6.8.0-1018.19+1) noble; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/2025.04.14)

 -- Andy Whitcroft <apw@canonical.com>  Fri, 04 Jul 2025 15:02:43 +0100
