=== debian/control ===
--- 
+++ 
@@ -16,12 +16,13 @@
 XSC-Ubuntu-Nvidia-Dependencies:
  nvidia-graphics-drivers-470 (= 470.256.02-0ubuntu0.24.04.1),
  nvidia-graphics-drivers-470-server (= 470.256.02-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-535 (= 535.230.02-0ubuntu0.24.04.2),
+ nvidia-graphics-drivers-535 (= 535.247.01-0ubuntu0.24.04.1),
  nvidia-graphics-drivers-535-server (= 535.247.01-0ubuntu0.24.04.3),
- nvidia-graphics-drivers-550 (= 550.144.03-0ubuntu0.24.04.3),
- nvidia-graphics-drivers-550-server (= 550.163.01-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-570 (= 570.133.07-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-570-server (= 570.133.20-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-550 (= 550.163.01-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-570 (= 570.169-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-570-server (= 570.158.01-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-575 (= 575.64.03-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-575-server (= 575.57.08-0ubuntu0.24.04.2),
 Standards-Version: 3.9.4
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-restricted-modules-azure/+git/noble -b azure-nvidia
 
@@ -97,6 +98,30 @@
 Description: Extra drivers for nvidia-570-open for the azure-nvidia flavour
  Install extra signed nvidia-570-open modules compatible with the azure-nvidia flavour.
 
+Package: linux-modules-nvidia-575-azure-nvidia
+Build-Profiles: <!stage1>
+Architecture: arm64 
+Section: kernel
+Provides: ${dkms:nvidia-575-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-575-6.8.0-1018-azure-nvidia (= ${binary:Version}),
+ ${nvk:nvidia-575},
+Description: Extra drivers for nvidia-575 for the azure-nvidia flavour
+ Install extra signed nvidia-575 modules compatible with the azure-nvidia flavour.
+
+Package: linux-modules-nvidia-575-open-azure-nvidia
+Build-Profiles: <!stage1>
+Architecture: arm64 
+Section: kernel
+Provides: ${dkms:nvidia-575-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-575-open-6.8.0-1018-azure-nvidia (= ${binary:Version}),
+ ${nvk:nvidia-575-open},
+Description: Extra drivers for nvidia-575-open for the azure-nvidia flavour
+ Install extra signed nvidia-575-open modules compatible with the azure-nvidia flavour.
+
 Package: linux-modules-nvidia-535-server-azure-nvidia
 Build-Profiles: <!stage1>
 Architecture: arm64 
@@ -121,30 +146,6 @@
 Description: Extra drivers for nvidia-535-server-open for the azure-nvidia flavour
  Install extra signed nvidia-535-server-open modules compatible with the azure-nvidia flavour.
 
-Package: linux-modules-nvidia-550-server-azure-nvidia
-Build-Profiles: <!stage1>
-Architecture: arm64 
-Section: kernel
-Provides: ${dkms:nvidia-550-server-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-550-server-6.8.0-1018-azure-nvidia (= ${binary:Version}),
- ${nvk:nvidia-550-server},
-Description: Extra drivers for nvidia-550-server for the azure-nvidia flavour
- Install extra signed nvidia-550-server modules compatible with the azure-nvidia flavour.
-
-Package: linux-modules-nvidia-550-server-open-azure-nvidia
-Build-Profiles: <!stage1>
-Architecture: arm64 
-Section: kernel
-Provides: ${dkms:nvidia-550-server-open-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-550-server-open-6.8.0-1018-azure-nvidia (= ${binary:Version}),
- ${nvk:nvidia-550-server-open},
-Description: Extra drivers for nvidia-550-server-open for the azure-nvidia flavour
- Install extra signed nvidia-550-server-open modules compatible with the azure-nvidia flavour.
-
 Package: linux-modules-nvidia-570-server-azure-nvidia
 Build-Profiles: <!stage1>
 Architecture: arm64 
@@ -169,6 +170,30 @@
 Description: Extra drivers for nvidia-570-server-open for the azure-nvidia flavour
  Install extra signed nvidia-570-server-open modules compatible with the azure-nvidia flavour.
 
+Package: linux-modules-nvidia-575-server-azure-nvidia
+Build-Profiles: <!stage1>
+Architecture: arm64 
+Section: kernel
+Provides: ${dkms:nvidia-575-server-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-575-server-6.8.0-1018-azure-nvidia (= ${binary:Version}),
+ ${nvk:nvidia-575-server},
+Description: Extra drivers for nvidia-575-server for the azure-nvidia flavour
+ Install extra signed nvidia-575-server modules compatible with the azure-nvidia flavour.
+
+Package: linux-modules-nvidia-575-server-open-azure-nvidia
+Build-Profiles: <!stage1>
+Architecture: arm64 
+Section: kernel
+Provides: ${dkms:nvidia-575-server-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-575-server-open-6.8.0-1018-azure-nvidia (= ${binary:Version}),
+ ${nvk:nvidia-575-server-open},
+Description: Extra drivers for nvidia-575-server-open for the azure-nvidia flavour
+ Install extra signed nvidia-575-server-open modules compatible with the azure-nvidia flavour.
+
 Package: linux-modules-nvidia-525-azure-nvidia
 Architecture: arm64 
 Section: oldlibs
@@ -218,12 +243,26 @@
 Description: Extra drivers for nvidia-565-server for the azure-nvidia flavour (dummy transitional package)
  Transitional package for upgrades of -565-server to -570-server.
 
+Package: linux-modules-nvidia-550-server-azure-nvidia
+Architecture: arm64 
+Section: oldlibs
+Depends: linux-modules-nvidia-570-server-azure-nvidia
+Description: Extra drivers for nvidia-550-server for the azure-nvidia flavour (dummy transitional package)
+ Transitional package for upgrades of -550-server to -570-server.
+
 Package: linux-modules-nvidia-565-server-open-azure-nvidia
 Architecture: arm64 
 Section: oldlibs
 Depends: linux-modules-nvidia-570-server-open-azure-nvidia
 Description: Extra drivers for nvidia-565-server-open for the azure-nvidia flavour (dummy transitional package)
  Transitional package for upgrades of -565-server-open to -570-server-open.
+
+Package: linux-modules-nvidia-550-server-open-azure-nvidia
+Architecture: arm64 
+Section: oldlibs
+Depends: linux-modules-nvidia-570-server-open-azure-nvidia
+Description: Extra drivers for nvidia-550-server-open for the azure-nvidia flavour (dummy transitional package)
+ Transitional package for upgrades of -550-server-open to -570-server-open.
 
 Package: linux-objects-nvidia-535-6.8.0-1018-azure-nvidia
 Build-Profiles: <!stage1>
@@ -253,47 +292,4 @@
  ${misc:Depends},
  ${shlibs:Depends},
  linux-image-6.8.0-1018-azure-nvidia | linux-image-unsigned-6.8.0-1018-azure-nvidia,
- linux-signatures-nvidia-6.8.0-1018-azure-nvidia (= 6.8.0-1018.19),
- linux-objects-nvidia-535-6.8.0-1018-azure-nvidia (= ${binary:Version}),
- ${nvk:nvidia-535},
-Description: Linux kernel nvidia modules for version 6.8.0-1018
- This package pulls together the Linux kernel nvidia modules for
- version 6.8.0-1018 with the appropriate signatures.
- .
- You likely do not want to install this package directly. Instead, install the
- one of the linux-modules-nvidia-535-azure-nvidia* meta-packages,
- which will ensure that upgrades work correctly, and that supporting packages are
- also installed.
-
-Package: linux-objects-nvidia-535-open-6.8.0-1018-azure-nvidia
-Build-Profiles: <!stage1>
-Architecture: arm64 
-Section: kernel
-Priority: optional
-Built-Using: ${linux:BuiltUsing}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- binutils,
-Description: Linux kernel nvidia modules for version 6.8.0-1018 (objects)
- This package contains the Linux kernel nvidia modules for version 6.8.0-1018.
- .
- You likely do not want to install this package directly. Instead, install the
- one of the linux-modules-nvidia-535-open-azure-nvidia* meta-packages,
- which will ensure that upgrades work correctly, and that supporting packages are
- also installed.
-
-Package: linux-objects-nvidia-550-6.8.0-1018-azure-nvidia
-Build-Profiles: <!stage1>
-Architecture: arm64 
-Section: kernel
-Priority: optional
-Built-Using: ${linux:BuiltUsing}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- binutils,
-Description: Linux kernel nvidia modules for version 6.8.0-1018 (objects)
- This package contains the Linux kernel nvidia modules for version 6.8.0-1018.
- .
- You likely do not want to install this package directly. Instead, install the
+ linux-signatures-nvidia-6.8.0-1018-azure-nvidia (= 6.8.0-1018.19+3),
