=== debian/changelog ===
linux-restricted-modules-azure-nvidia (6.8.0-1019.20+1) noble; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/s2025.05.19)

 -- Andy Whitcroft <apw@canonical.com>  Mon, 14 Jul 2025 21:12:52 +0100

linux-restricted-modules-azure-nvidia (6.8.0-1019.20) noble; urgency=medium

  * Main version: 6.8.0-1019.20

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/tracking-bug -- resync from main package

 -- John Cabaj <john.cabaj@canonical.com>  Fri, 27 Jun 2025 17:50:29 -0500
